Run Analysis Overview Report - MindBridge Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Run Analysis Overview Report
cURL
curl --request POST \
--url https://{tenant}.mindbridge.ai/api/v1/admin-reports/analysis-overview-report/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '\n{\n "includeAmountValue": true,\n "includeEntriesPercentageValue": true,\n "includeAmountPercentageValue": true,\n "includeControlPointAndWeights": true,\n "userTimeZone": "<string>",\n "csvExport": true,\n "analysisIds": [\n "<string>"\n ],\n "riskScoreIds": [\n "<string>"\n ]\n}\n'
Python
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/admin-reports/analysis-overview-report/run"
payload = {
"includeAmountValue": True,
"includeEntriesPercentageValue": True,
"includeAmountPercentageValue": True,
"includeControlPointAndWeights": True,
"userTimeZone": "<string>",
"csvExport": True,
"analysisIds": ["<string>"],
"riskScoreIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
includeAmountValue: true,
includeEntriesPercentageValue: true,
includeAmountPercentageValue: true,
includeControlPointAndWeights: true,
userTimeZone: '<string>',
csvExport: true,
analysisIds: ['<string>'],
riskScoreIds: ['<string>']
})
};
fetch('https://{tenant}.mindbridge.ai/api/v1/admin-reports/analysis-overview-report/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/admin-reports/analysis-overview-report/run",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'includeAmountValue' => true,
'includeEntriesPercentageValue' => true,
'includeAmountPercentageValue' => true,
'includeControlPointAndWeights' => true,
'userTimeZone' => '<string>',
'csvExport' => true,
'analysisIds' => ['<string>'],
'riskScoreIds' => ['<string>']
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.mindbridge.ai/api/v1/admin-reports/analysis-overview-report/run"
payload := strings.NewReader("{\n \"includeAmountValue\": true,\n \"includeEntriesPercentageValue\": true,\n \"includeAmountPercentageValue\": true,\n \"includeControlPointAndWeights\": true,\n \"userTimeZone\": \"<string>\",\n \"csvExport\": true,\n \"analysisIds\": [\n \"<string>\"\n ],\n \"riskScoreIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest
HttpResponse<String> response = Unirest.post("https://{tenant}.mindbridge.ai/api/v1/admin-reports/analysis-overview-report/run")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"includeAmountValue\": true,\n \"includeEntriesPercentageValue\": true,\n \"includeAmountPercentageValue\": true,\n \"includeControlPointAndWeights\": true,\n \"userTimeZone\": \"<string>\",\n \"csvExport\": true,\n \"analysisIds\": [\n \"<string>\"\n ],\n \"riskScoreIds\": [\n \"<string>\"\n ]\n}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://{tenant}.mindbridge.ai/api/v1/admin-reports/analysis-overview-report/run")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"includeAmountValue\": true,\n \"includeEntriesPercentageValue\": true,\n \"includeAmountPercentageValue\": true,\n \"includeControlPointAndWeights\": true,\n \"userTimeZone\": \"<string>\",\n \"csvExport\": true,\n \"analysisIds\": [\n \"<string>\"\n ],\n \"riskScoreIds\": [\n \"<string>\"\n ]\n}";
response = http.request(request)
puts response.read_body
202 Response
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"entityId": "<string>",
"error": "<string>",
"errorMessage": "<string>"
}